package dev.flyfish.framework.approval.domain.record;

import com.fasterxml.jackson.annotation.JsonFormat;
import dev.flyfish.framework.approval.enums.ApproveAction;
import dev.flyfish.framework.domain.base.Vo;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Optional;

/**
 * 审批记录列表vo
 *
 * @author wangyu
 */
@Data
public class ApproveRecordListVo implements Vo<ApproveRecord> {

    private String id;

    private String name;

    private String approver;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime approveTime;

    private String action;

    private String opinion;

    @Override
    public Vo<ApproveRecord> from(ApproveRecord po) {
        ApproveRecordListVo vo = new ApproveRecordListVo();
        vo.setId(po.getId());
        vo.setName(po.getName());
        vo.setApprover(po.getModifier());
        vo.setApproveTime(po.getModifyTime());
        vo.setAction(Optional.ofNullable(po.getAction()).map(ApproveAction::getName).orElse(null));
        vo.setOpinion(po.getOpinion());
        return vo;
    }
}
