package dev.flyfish.framework.approval.domain.record;

import dev.flyfish.framework.domain.base.NameLikeQo;
import dev.flyfish.framework.query.QueryDefinition;
import lombok.Getter;
import lombok.Setter;

/**
 * 审批记录查询实体
 *
 * @author wangyu
 */
@Getter
@Setter
public class ApproveRecordQo extends NameLikeQo<ApproveRecord> {

    // 所属模块
    private String module;

    // 所属数据id
    private String dataId;

    // 是否审批
    private Boolean approved;

    // 审批人
    private String approver;

    @Override
    public QueryDefinition queryBuilder() {
        return super.queryBuilder()
                .mutate()
                .and(ApproveRecord::getModule).eq(module)
                .and(ApproveRecord::getDataId).eq(dataId)
                .and(ApproveRecord::getApproved).eq(approved)
                .and(ApproveRecord::getApprover).eq(approver);
    }
}
