CREATE TABLE IF NOT EXISTS `t_backup`
(
    `id`          VARCHAR(36)   NOT NULL COMMENT '主键',
    `code`        VARCHAR(32)   NOT NULL COMMENT '编码',
    `name`        VARCHAR(100)  NOT NULL COMMENT '名称',
    `filepath`    VARCHAR(1000) NULL COMMENT '文件路径',
    `log`         TEXT          NULL COMMENT '备份日志',
    `status`      VARCHAR(24)   NULL COMMENT '备份状态',
    `period`      BIGINT        NULL COMMENT '备份耗时',
    `size`        VARCHAR(64)   NULL COMMENT '备份大小',
    `create_time` DATETIME      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `modify_time` DATETIME      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `creator`     VARCHAR(36)   NULL COMMENT '创建人名称',
    `creator_id`  VARCHAR(36)   NULL COMMENT '创建人id',
    `modifier`    VARCHAR(36)   NULL COMMENT '修改人名称',
    `modifier_id` VARCHAR(36)   NULL COMMENT '修改人id',
    `delete`      BIT(1)        NOT NULL DEFAULT b'0',
    PRIMARY KEY (`id`)
) COMMENT '备份记录表';
