package dev.flyfish.framework.compiler.core;

import java.net.URL;
import java.net.URLClassLoader;
import java.util.Map;

/**
 * 动态类加载器
 *
 * @author wangyu
 */
public abstract class DynamicClassLoader extends URLClassLoader {

    DynamicClassLoader() {
        super(new URL[0], DynamicClassLoader.class.getClassLoader());
    }

    /**
     * 获取类的字节码
     *
     * @return 结果
     */
    public abstract Map<String, byte[]> getClassBytes();

    /**
     * 将指定的类二进制替换为其他类
     *
     * @param path 目标类路径
     */
    public abstract void replace(String name, String path);
}
