package dev.flyfish.framework.context;

import dev.flyfish.framework.domain.base.IUser;
import org.springframework.security.core.context.ReactiveSecurityContextHolder;
import reactor.core.publisher.Mono;

/**
 * 异步的用户上下文
 *
 * @author wangyu
 */
public class ReactiveUserContext {

    /**
     * 当前用户
     *
     * @return 结果
     */
    public static Mono<IUser> currentUser() {
        return ReactiveSecurityContextHolder.getContext()
                .map(ctx -> (IUser) ctx.getAuthentication().getPrincipal());
    }
}
