CREATE TABLE IF NOT EXISTS `test`
(
    `id`          VARCHAR(36)  NOT NULL COMMENT '主键',
    `code`        VARCHAR(32)  NOT NULL COMMENT '编码',
    `name`        VARCHAR(100) NOT NULL COMMENT '名称',
    `other_id`    VARCHAR(36)  NULL COMMENT '其他id',
    `create_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `modify_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `creator`     VARCHAR(36)  NULL COMMENT '创建人名称',
    `creator_id`  VARCHAR(36)  NULL COMMENT '创建人id',
    `modifier`    VARCHAR(36)  NULL COMMENT '修改人名称',
    `modifier_id` VARCHAR(36)  NULL COMMENT '修改人id',
    `delete`      BIT(1)       NOT NULL DEFAULT b'0',
    PRIMARY KEY (`id`)
) COMMENT '测试表';

REPLACE INTO `test`
VALUES ('1', '1', '测试1', '1', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false),
       ('2', '2', '测试2', '2', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false);

CREATE TABLE IF NOT EXISTS `test_child`
(
    `id`          VARCHAR(36)  NOT NULL COMMENT '主键',
    `code`        VARCHAR(32)  NOT NULL COMMENT '编码',
    `name`        VARCHAR(100) NOT NULL COMMENT '名称',
    `parent_id`   VARCHAR(36)  NOT NULL COMMENT '父id',
    `create_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `modify_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `creator`     VARCHAR(36)  NULL COMMENT '创建人名称',
    `creator_id`  VARCHAR(36)  NULL COMMENT '创建人id',
    `modifier`    VARCHAR(36)  NULL COMMENT '修改人名称',
    `modifier_id` VARCHAR(36)  NULL COMMENT '修改人id',
    `delete`      BIT(1)       NOT NULL DEFAULT b'0',
    PRIMARY KEY (`id`)
) COMMENT '测试子表';

REPLACE INTO `test_child`
VALUES ('1', '1', '子表1', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false),
       ('2', '2', '子表2', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false),
       ('3', '3', '子表3', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false),
       ('4', '4', '子表4', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false),
       ('5', '5', '子表5', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false);


CREATE TABLE IF NOT EXISTS `test_asso`
(
    `id`          VARCHAR(36)  NOT NULL COMMENT '主键',
    `code`        VARCHAR(32)  NOT NULL COMMENT '编码',
    `name`        VARCHAR(100) NOT NULL COMMENT '名称',
    `create_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `modify_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `creator`     VARCHAR(36)  NULL COMMENT '创建人名称',
    `creator_id`  VARCHAR(36)  NULL COMMENT '创建人id',
    `modifier`    VARCHAR(36)  NULL COMMENT '修改人名称',
    `modifier_id` VARCHAR(36)  NULL COMMENT '修改人id',
    `delete`      BIT(1)       NOT NULL DEFAULT b'0',
    PRIMARY KEY (`id`)
) COMMENT '测试关联表';


REPLACE INTO `test_asso`
VALUES ('1', '1', 'baba ', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false),
       ('2', '1', 'mama ', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false);


CREATE TABLE IF NOT EXISTS `test_other`
(
    `id`          VARCHAR(36)  NOT NULL COMMENT '主键',
    `code`        VARCHAR(32)  NOT NULL COMMENT '编码',
    `name`        VARCHAR(100) NOT NULL COMMENT '名称',
    `test_id`     VARCHAR(36)  NOT NULL COMMENT '外部主键',
    `create_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `modify_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `creator`     VARCHAR(36)  NULL COMMENT '创建人名称',
    `creator_id`  VARCHAR(36)  NULL COMMENT '创建人id',
    `modifier`    VARCHAR(36)  NULL COMMENT '修改人名称',
    `modifier_id` VARCHAR(36)  NULL COMMENT '修改人id',
    `delete`      BIT(1)       NOT NULL DEFAULT b'0',
    PRIMARY KEY (`id`)
) COMMENT '测试关联表';

REPLACE INTO `test_other`
VALUES ('1', '1', 'baba ', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false),
       ('2', '1', 'mama ', 2, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false),
       ('2', '1', 'mama ', 2, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, null, null, null, null, false);

CREATE TABLE IF NOT EXISTS `test_rel`
(
    `test_id`  VARCHAR(36) NOT NULL COMMENT 'test主键',
    `other_id` VARCHAR(36) NOT NULL COMMENT 'other主键',
    PRIMARY KEY (`test_id`, `other_id`)
) COMMENT '关系表';

REPLACE INTO `test_rel`
VALUES ('1', '1'), ('1', '2'), ('1', '3')
