package dev.flyfish.framework.logging.domain;

import dev.flyfish.framework.domain.base.NameLikeQo;
import dev.flyfish.framework.query.QueryDefinition;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.domain.Sort;

import java.util.List;

/**
 * 日志查询实体
 *
 * @author wangyu
 */
@Getter
@Setter
public class LogQo extends NameLikeQo<Log> {

    private String operator;

    private String module;

    private Boolean success;

    private List<String> range;

    private String type;

    @Override
    public QueryDefinition queryBuilder() {
        return super.queryBuilder()
                .mutate()
                .and(Log::getOperator).like(operator)
                .and(Log::getType).eq(type)
                .and(Log::getModule).eq(module)
                .and(Log::getSuccess).eq(success)
                .and(Log::getStartTime).between(range);
    }

    @Override
    public Sort sorts() {
        return Sort.by(Sort.Order.desc("startTime"));
    }
}
