package dev.flyfish.framework.beans.meta.parser.chain;

import dev.flyfish.framework.beans.meta.parser.BeanPropertyAnnotations;

/**
 * 链式支持
 *
 * @author wangyu
 */
public interface AnnotationChainSupport {

    /**
     * 下一步要做什么
     *
     * @return 结果
     */
    BeanPropertyAnnotations and();

    /**
     * 下一步要做什么，如果这一步成立，下一步不执行；反之，这一步不成立，下一步才执行
     *
     * @return 结果
     */
    BeanPropertyAnnotations or();

    /**
     * 主动停止操作，会清空前面的状态
     */
    void end();
}
