package dev.flyfish.framework.configuration.boot;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.core.annotation.AliasFor;
import org.springframework.scheduling.annotation.EnableAsync;

import java.lang.annotation.*;

/**
 * 飞鱼便捷入口，一个注解，所有工作
 * All in One 小霸王注解，注意指定扫描路径
 *
 * @author wangyu
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@SpringBootApplication
@EnableAsync(proxyTargetClass = true)
@EnableAspectJAutoProxy
public @interface FlyfishApplication {

    /**
     * 扫描组件的路径
     *
     * @return 结果
     */
    @AliasFor(
            annotation = SpringBootApplication.class
    )
    String[] scanBasePackages() default "dev.flyfish";
}
